package cn.com.countrygarden.bi.main.dto.advise;

import java.util.Objects;

/**
 * @author 木木子
 * @Description: 建言负责人业务类
 * @email 944528607@qq.com
 * @date 2019/5/6 10:20
 */
public class AdviseResponsiblerDTO {
    /**
     * 建议负责人id
     */
    private Integer id;
    /**
     * 负责人类型（0超级管理员1.总部管理员，2类型负责人,3.区域负责人）
     */
    private Integer type;
    /**
     * 建言类型关联
     */
    private Integer adviseTypeId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getAdviseTypeId() {
        return adviseTypeId;
    }

    public void setAdviseTypeId(Integer adviseTypeId) {
        this.adviseTypeId = adviseTypeId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        AdviseResponsiblerDTO that = (AdviseResponsiblerDTO) o;
        return Objects.equals(id, that.id) &&
                Objects.equals(type, that.type) &&
                Objects.equals(adviseTypeId, that.adviseTypeId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, type, adviseTypeId);
    }
}
